CREATE procedure [C6StagingPeriodico].[RP_ST_Parentela]  
as  
begin  
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_Parentela',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
 truncate table C6StagingPeriodico.RP_Parentela  
 --insert into C6StagingPeriodico.RP_Parentela  
 --select   
 --chiaveClientePB1,  
 --chiaveClientePB2,  
 --idParentela     ,  
 --dtMatrimonio    ,  
 --aCarico         ,  
 --dtCensimento    ,  
 --dtFine             
 --   from   [CONSUNI_PERIODICO].[consulenzaUnica].dbo.Parentela  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_Parentela' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_Parentela'  
  )  
end